﻿-------------------------------------------------------------------------------
-- default layout values

nUI_ButtonLayout =
{
	height     = 30,		-- the vertical size of the button
	width      = 30,		-- the horizontal size of the button
	show_grid  = "no",		-- whether or not to display the button grid: yes|no
	binding_id = "",		-- the key binding name assigned to this button
	hotkeys    = "yes",		-- whether or not to display hotkey text on the button: yes|no
	counts     = "yes",		-- whether or not to display stack counts on the button: yes|no
	btn_type   = nil,		-- the type of button as per GetBindingKey
	button     = nil,		-- the name of the button object we are attaching to
	inherits   = nil,		-- what button type template we'll inherit, if any
	id         = nil,		-- if the button has an assigned ID (a la ActionBarButton)
}

nUI.Class.ButtonLayout = nUI.Class:CreatePrototype();
local prototype        = nUI.Class.ButtonLayout.prototype;

-------------------------------------------------------------------------------
-- this may look a little like a PITA, but it makes it possible to add new values
-- at any time without having to parse the existing user config and insert, etc.

function prototype:init( user_defined )
	
	if not user_defined then user_defined = {}; end
	
	self.height      = tonumber( user_defined.height or nUI_ButtonLayout.height );
	self.width       = tonumber( user_defined.width or nUI_ButtonLayout.width );
	self.show_grid   = strlower( user_defined.show_grid or nUI_ButtonLayout.show_grid );
	self.binding_id  = strupper( user_defined.binding_id or nUI_ButtonLayout.binding_id );
	self.hotkeys     = strlower( user_defined.hotkeys or nUI_ButtonLayout.hotkeys );
	self.counts      = strlower( user_defined.counts or nUI_ButtonLayout.counts );
	self.btn_type    = user_defined.btn_type or nUI_ButtonLayout.btn_type;
	self.button      = user_defined.button or nUI_ButtonLayout.button;
	self.inherits    = user_defined.inherits or nUI_ButtonLayout.inherits;
	self.id          = user_defined.id or nUI_ButtonLayout.id;
	
end	
